import { Logging, LoggingBase } from ".";
import { LoggingTypes } from "./types";

Logging.log("test")
Logging.log("i", "am", { a: "an" }, 1000);
Logging.error(new Error("fehler 001"));
Logging.debug("Some Debug infos");
Logging.errorMessage("i", "am", "an", "error");

Logging.log("\x1b[31m\x1b[31m\x1b[31m\x1b[31m\x1b[31m\x1b[31m TEST \x1b[31m\x1b[31m\x1b[31m")

let err = new Error()
if (typeof err.stack !== "string") console.log("Stacktrace invalid", err.stack)

let cus = new LoggingBase({ name: "test" });
cus.log("Hello from custom Logger")
cus.log("This has some %c symbols inside of it!");

let cus2 = new LoggingBase("test2");
cus2.log("Hello from custom Logger 2")

let cus22 = new LoggingBase("test2");
cus22.log("Hello from custom Logger 22")
cus2.log("Hello from custom Logger 2")
cus22.log("Hello from custom Logger 22")
cus2.log("Hello from custom Logger 2")
cus22.log("Hello from custom Logger 22")
cus2.log("Hello from custom Logger 2")
cus22.log("Hello from custom Logger 22")
cus2.log("Hello from custom Logger 2")
cus22.log("Hello from custom Logger 22")
cus2.log("Hello from custom Logger 2")

Logging.debug("Only Errors should appear:")
Logging.logLevel = LoggingTypes.Error;

Logging.debug("This should not be there 1");
Logging.log("This should not be there 2");
Logging.warn("This should not be there 3");
Logging.warning("This should not be there 4");

Logging.error("This should be there 1");
Logging.errorMessage("This should be there 2");